Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.wsrp.core
Class GetServiceDescription

    java.lang.Object
      org.jboss.portal.wsrp.core.GetServiceDescription

All Implemented Interfaces:
  java.io.Serializable

    public class GetServiceDescription

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`protected java.lang.String[]` | `desiredLocales`
`protected RegistrationContext` | `registrationContext`

Constructor Summary
`GetServiceDescription()`
`GetServiceDescription(RegistrationContext registrationContext, java.lang.String[] desiredLocales)`

Method Summary
`java.lang.String[]` | `getDesiredLocales()`
`RegistrationContext` | `getRegistrationContext()`
`void` | `setDesiredLocales(java.lang.String[] desiredLocales)`
`void` | `setRegistrationContext(RegistrationContext registrationContext)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### registrationContext

    protected RegistrationContext registrationContext

### desiredLocales

    protected java.lang.String[] desiredLocales

Constructor Detail

### GetServiceDescription

    public GetServiceDescription()

### GetServiceDescription

    public GetServiceDescription(RegistrationContext registrationContext,
                                 java.lang.String[] desiredLocales)

Method Detail

### getRegistrationContext

    public RegistrationContext getRegistrationContext()

### setRegistrationContext

    public void setRegistrationContext(RegistrationContext registrationContext)

### getDesiredLocales

    public java.lang.String[] getDesiredLocales()

### setDesiredLocales

    public void setDesiredLocales(java.lang.String[] desiredLocales)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD